Bug Hunting Session
Bug 108356 - FILESAVE: Master slide background image set as tiled when exporting to PPTX
Summary: FILESAVE: Master slide background image set as tiled when exporting to PPTX
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:pptx
Depends on:
Blocks: PPTX Slide-Background
  Show dependency treegraph
 
Reported: 2017-06-05 23:42 UTC by Yousuf Philips (jay) (retired)
Modified: 2019-10-06 03:17 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-06-05 23:42:29 UTC
Steps:
1) Open attachment 50289 [details]
2) Save as pptx
3) Open pptx in powerpoint
4) Notice that background image isnt the same
5) Enable master slide mode ( View > Slide Master )
6) Right-click > Format background
7) Notice that 'Tile picture as texture' is enabled

The problem is that we are adding a <a:tile> tag to the exported xml in /ppt/slideMasters/slideMaster.xml.

<p:bg>
  <p:bgPr>
    <a:blipFill>
      <a:blip r:embed="rId2"></a:blip>
      <a:tile /> <!-- here -->
    </a:blipFill>
  </p:bgPr>
</p:bg>

Version: 5.5.0.0.alpha0+
Build ID: ddf8539d97ce044b7df8d51d6ec72ec864b40fb8
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-06-04_22:10:59
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Buovjaga 2017-07-01 18:23:55 UTC
Repro.

Win 8.1 32-bit
MSO 2013
LibreOffice Version: 6.0.0.0.alpha0+
Build ID: cac5c9f6081590b0548d3116bc4cd4a2509ec576
CPU threads: 4; OS: Windows 6.29; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-07-01_00:41:48
Locale: fi-FI (fi_FI); Calc: group
Comment 2 QA Administrators 2018-07-02 02:35:02 UTC Comment hidden (obsolete)
Comment 3 Lars Jødal 2018-10-05 06:28:08 UTC
Still reproducible with LO 6.1.2.1
Comment 4 QA Administrators 2019-10-06 03:17:57 UTC
Dear Yousuf Philips (jay) (retired),

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug